org.eclipse.wst.jsdt.js.cli.core

## Class CLIStreamListener

- java.lang.Object
- - org.eclipse.wst.jsdt.js.cli.core.CLIStreamListener

    public class CLIStreamListener
    extends java.lang.Object

Stream listener for CLI output.

### Constructor Summary

Constructors
Constructor and Description
`CLIStreamListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getErrorMessage()` Returns the last error message encountered.
`java.lang.String` `getMessage()` Returns all the messages returned excluding the error messages
`void` `streamAppended(java.lang.String text, IStreamMonitor monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLIStreamListener

    public CLIStreamListener()

### Method Detail

#### streamAppended

    public void streamAppended(java.lang.String text,
                               IStreamMonitor monitor)

#### getErrorMessage

    public java.lang.String getErrorMessage()

Returns the last error message encountered. Can return empty String if no error messages are present

Returns:
  last error message or empty string

#### getMessage

    public java.lang.String getMessage()

Returns all the messages returned excluding the error messages

Returns: